<template>
  <div>
    <b-table 
      :items="result"
      @row-dblclicked="deleteClass"/>

      <game-class-forms></game-class-forms>
  </div>
</template>

<script>
import GameClassForms from '~/components/GameClassForms.vue'

export default {
  components: {
    GameClassForms
  },
  data() {
    return {
      result: ''
    };
  },
  created() {
    let ins = this;
    this.$axios({
      method: 'get',
      url: 'http://localhost:3000/game_classes'
    })
      .then(res => {
        if (res.data.length == 0)
          ins.result = [{
            'Game Classes': 'empty'
          }]
        else
          ins.result = res.data;
      })
      .catch(err => {
        ins.result = [{
          error: 'Errou, otário'
        }];
      })
  }
}
</script>

<style>

</style>
